Bug 211811 - saving part of playlist as new playlist
Summary: saving part of playlist as new playlist
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: Playlists/Saved Playlists (show other bugs)
Version: 2.5-git
Platform: unspecified Linux
: NOR normal with 7 votes (vote)
Target Milestone: 2.6
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-25 18:41 UTC by Janet
Modified: 2012-03-03 15:25 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.6


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Janet 2009-10-25 18:41:17 UTC
Version:           2.2.0 (using 4.3.2 (KDE 4.3.2), Debian packages)
Compiler:          cc
OS:                Linux (i686) release 2.6.31-5.slh.1-sidux-686

I cannot find a way to save part of the playlist as new playlist as it was possible with amarok1. After selecting the tracks I have chosen for a separate playlist the first thing I tried was righclicking - but no "crop playlist" or "save selected files as playlist". The second was to drag the selected files onto the middle pane - but no option for creating a playlist. Then I tried to drag the files to the left pane with the saved playlists, nothing. Then I rightclicked into the left pane in hope for creating a new blank playlist where I drag the tracks to - nothing. Then I found the save button below the playlist, but it only offers to save the whole playlist. And finally I went to the main menu's Playlist entry - but again I can only export the playlist as a whole.

Am I that blind or isn't it implemented yet?
Comment 1 Myriam Schweingruber 2009-10-26 00:15:55 UTC
Not implemented yet.
Comment 2 Bart Cerneels 2010-12-30 16:37:23 UTC
Implemented now: only the selected tracks in the current playlist are saved.
Comment 3 Beat Wolf 2011-02-22 20:03:17 UTC
there is a patch review pending for this issue:
https://git.reviewboard.kde.org/r/100181/
Comment 4 Janet 2011-11-25 16:48:50 UTC
Is this really fixed in Amarok 2.4? In 2.4.3 I can save and export the whole playlist but there doesn't seem to be any obvious way to export/save just the selected songs in the playlist to a new playlist.
Comment 5 Myriam Schweingruber 2011-11-27 21:50:07 UTC
This is indeed not working in current git. Bart?
Comment 6 Myriam Schweingruber 2011-11-27 21:50:34 UTC
Setting status correctly.
Comment 7 Bart Cerneels 2011-11-29 12:11:05 UTC
It seems I was mistaken in comment #2. It's not implemented yet.

Will target it for 2.6 so a confirmation dialog (hence a translated string) can be added.
Comment 8 Matěj Laitl 2012-03-03 15:25:30 UTC
Git commit 3a9b36fe04dafe8c95d5bbdcbb84945e7cf469e6 by Matěj Laitl.
Committed on 03/03/2012 at 15:55.
Pushed by laitl into branch 'master'.

Playlist browser: drag & drop and plugged playlists cleanups

This change fixes a couple of bugs:
 * it is now possible to drop tracks & playlists to playlist providers
   in Saved Playlists
 * When a new empty playlist provider appears or disappears when Amarok is
   running, the view is correctly updated.

FEATURES:
  * "Crop playlist" functionality implemented using drag & drop.

CHANGES:
  * Drag & drop of tracks and playlists to Saved Playlists works in all cases.

BUGFIXES:
  * iPod playlists now appear even when plugged in while Amarok is running.
Related: bug 267729, bug 289303, bug 239950
FIXED-IN: 2.6

M  +3    -0    ChangeLog
M  +19   -16   src/browsers/playlistbrowser/PlaylistBrowserModel.cpp
M  +1    -0    src/browsers/playlistbrowser/PlaylistBrowserModel.h
M  +98   -130  src/browsers/playlistbrowser/PlaylistsByProviderProxy.cpp
M  +2    -11   src/browsers/playlistbrowser/PlaylistsByProviderProxy.h
M  +1    -0    src/core-impl/playlists/providers/user/UserPlaylistProvider.h
M  +2    -0    src/core/playlists/PlaylistProvider.h
M  +12   -4    src/playlistmanager/PlaylistManager.cpp
M  +2    -1    src/playlistmanager/PlaylistManager.h

http://commits.kde.org/amarok/3a9b36fe04dafe8c95d5bbdcbb84945e7cf469e6